For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
        • GETList
        • POSTCreate
        • GETGet
        • PUTUpsert
        • DELDelete
        • PATCHUpdate
        • POSTGenerate Description
LogoLogo
Sign upLog in
API ReferenceModelConnections

Generate Description

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId/generate-description
POST
/v1/landscapes/:landscapeId/versions/:versionId/model/connections/:modelConnectionId/generate-description
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.model.connections.generateDescription("landscapeId", "versionId", "modelConnectionId", {
8 type: "caption",
9 });
10}
11main();
1{
2 "description": "string"
3}
Generate a description for a model connection
Was this page helpful?
Previous

CSV

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired
modelConnectionIdstringRequired

Request

This endpoint expects an object.
typeenumRequired

Type of description to generate: “caption” for a short caption(50-70 characters), or “detailed” for a detailed description (max 2000 characters)

Allowed values:

Response

OK
descriptionstring

AI-generated description of the model connection

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error